<template>
	<div
		class="status-img flex-center"
		:style="{ width: `${wrapperSize}px`, height: `${wrapperSize}px`, backgroundImage: `url(${iconBg2})` }"
	>
		<img
			class="status-img__inner"
			:class="{ 'status-img__inner_work': isWork }"
			:src="isWork ? iconWork : iconUnWork"
			:width="size"
			:height="size"
		/>
	</div>
</template>

<script setup lang="ts">
const props = defineProps({
	isWork: {
		type: Boolean,
		required: true,
	},
	wrapperSize: {
		type: Number,
		default: 40,
	},
	size: {
		type: Number,
		default: 20,
	},
});

const { isWork, size } = toRefs(props);

import iconBg2 from '/@/assets/images/szjt/icon_bg2.png';
import iconWork from '/@/assets/images/szjt/icon_work.png';
import iconUnWork from '/@/assets/images/szjt/icon_unwork.png';
import { toRefs } from 'vue';
</script>
<style scoped lang="scss">
.status-img {
	background-size: cover;
	background-repeat: no-repeat;
	&__inner {
		&_work {
			animation: rotate0_360 2s linear infinite normal;
			-webkit-animation: rotate0_360 2s linear infinite normal;
		}
	}
}
</style>
